summaryrefslogtreecommitdiffstats
path: root/minikrebs/profiles/init
diff options
context:
space:
mode:
Diffstat (limited to 'minikrebs/profiles/init')
-rwxr-xr-xminikrebs/profiles/init39
1 files changed, 39 insertions, 0 deletions
diff --git a/minikrebs/profiles/init b/minikrebs/profiles/init
new file mode 100755
index 00000000..df9fcfcd
--- /dev/null
+++ b/minikrebs/profiles/init
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+cd $(dirname $(readlink -f $0))
+if [ ! -e Makefile ] ;then
+ echo "ImageBuilder not checked out yet"
+ echo "try running ../prepare $$PROFILE"
+ exit 1
+fi
+
+echo
+rm -r bin/ || echo "no bindir, skipping removal"
+if [ -e ./custom_make ];then
+ echo "Starting Custom Make"
+ sh ./custom_make 2>/dev/null | while read line; do
+ echo -n .
+ done
+else
+ echo "No Custom Make Script exists, bailing out!"
+ exit 1
+fi
+
+echo
+
+if [ -e bin/ar71xx/openwrt-ar71xx-generic-tl-wr703n-v1-squashfs-factory.bin ];
+then
+ cat << EOF
+finished building
+You can use the following images:
+ Factory : $PWD/bin/ar71xx/openwrt-ar71xx-generic-tl-wr703n-v1-squashfs-factory.bin
+ System Upgrade: $PWD/bin/ar71xx/openwrt-ar71xx-generic-tl-wr703n-v1-squashfs-sysupgrade.bin
+EOF
+else
+ cat << EOF
+It seems like the factory image has not been created, it is most
+likely that the image would be too big and does not fit into the tiny FLASH.
+
+Try removing modules from \`custom_make\` and retry building.
+EOF
+fi